| Haskell Hierarchical Libraries (mtl package) | Source code | Contents | Index
Control.Monad.Cont |
Portability | non-portable (multi-parameter type classes)
Stability | experimental
Maintainer | libraries@haskell.org
Description
Continuation monads.
Documentation
module Control.Monad.Cont.Class
newtype Cont r a
Constructors
Cont |
runCont :: ((a -> r) -> r) |
Instances
Functor (Cont r)
Monad (Cont r)
MonadCont (Cont r)
mapCont :: (r -> r) -> Cont r a -> Cont r a
withCont :: ((b -> r) -> a -> r) -> Cont r a -> Cont r b
newtype ContT r m a
Constructors
ContT |
runContT :: ((a -> m r) -> m r) |
Instances
MonadReader r' m => MonadReader r' (ContT r m)
MonadState s m => MonadState s (ContT r m)
MonadTrans (ContT r)
Monad m => Functor (ContT r m)
Monad m => Monad (ContT r m)
Monad m => MonadCont (ContT r m)
MonadIO m => MonadIO (ContT r m)
mapContT :: (m r -> m r) -> ContT r m a -> ContT r m a
withContT :: ((b -> m r) -> a -> m r) -> ContT r m a -> ContT r m b
module Control.Monad
module Control.Monad.Trans
Produced by Haddock version 0.8